import { chatComProps } from "../common";
import { ALARM_TEST_DATA, LAST_VALUE_TEST_DATA, SUMMARY_TEST_DATA,ALL_VALUE_TEST_DATA, HTML_URL_TEST_DATA } from "./testData";
import { SummaryAnswerType } from "./types";

// components/chat-components/summary/summaryWrapper.ts
Component({
  options:{
    styleIsolation:'apply-shared'
  },

  /**
   * 组件的属性列表
   */
  properties: {
    ...chatComProps,
    data: Array
  },

  /**
   * 组件的初始数据
   */
  data: {
    summaryList: [],
    testData: ALL_VALUE_TEST_DATA,
    SummaryAnswerType
  },

  /**
   * 组件的方法列表
   */
  methods: {

  },

  lifetimes: {
    attached() {

      this.setData({
        summaryList: (this.data.data ?? []).map((item) => {
          if (item.type === SummaryAnswerType.RecordSet && item.chart === 'table') {
            item.type = SummaryAnswerType.RecordSetTable;
          }
          return item;
        })
      })
      this.data.testData = (ALARM_TEST_DATA?? []).map((item) => {
        if (item.type === SummaryAnswerType.RecordSet && item.chart === 'table') {
          item.type = SummaryAnswerType.RecordSetTable;
        }
        return item;
      })
      
    }
  }
})